/* background-color:red; */
*{
    margin: 0;
    padding:0;
    box-sizing: border-box;
    text-decoration: none;
    text-align: center;
    box-sizing: border-box;
    /* background:linear-gradient(45deg, #fb00a6, transparent); */
}
/* .videoFilter, .sideVideoControls, .videoStatus, .videoControls{
    animation : rainbow-bg 8s infinite;
} */
body{
     overscroll-behavior-y: contain;
}
@keyframes rainbow-bg{
    100%,0%{
        background:linear-gradient(45deg,rgb(255,0,0), transparent) ;
    }
    8%{
        background: linear-gradient(45deg, rgb(255,127,0), transparent)
    }
    16%{
        background: linear-gradient(45deg,rgb(255,255,0) , transparent);
    }
    25%{
        background: linear-gradient(45deg, rgb(127,255,0), transparent);
    }
    33%{
        background: linear-gradient(45deg, rgb(0,255,0), transparent);
    }
    41%{
        background: linear-gradient(45deg, rgb(0,255,127), transparent);
    }
    50%{
        background: linear-gradient(45deg, rgb(0,255,255), transparent);
    }
    58%{
        background: linear-gradient(45deg, rgb(0,127,255), transparent);
    }
    66%{
        background: linear-gradient(45deg, rgb(0,0,255), transparent);
    }
    75%{
        background: linear-gradient(45deg, rgb(127,0,255), transparent);
    }
    83%{
        background: linear-gradient(45deg, rgb(255,0,255, transparent));
    }
    91%{
        background: linear-gradient(45deg, rgb(255,0,127), transparent);
    }
}


.container{
    width: 100%;
    height: auto;
    position: relative;
    background-color: rgb(108, 196, 213);
    display: flex;
    justify-content: center;
}
.videoMainContainer{
    position: relative;
   width: auto;
   height: auto;
}
.videoContainer{
    margin: 0  auto;
    width: auto;
    height: 100vh;

}
.videoContainer video{
    height: 100%;
}
.videoFilter{
    display: flex;
    justify-content: center;
    margin-left: 50%;
    transform: translateX(-50%);
    background-color: rgba(40, 36, 36, 0.088);
    overflow: hidden;
}
.videoFilterActive, .videoFilter:hover{
    background: var(--gradient1);
    color:#fff;
}
.sideVideoControls >.btn:hover i{
    border-radius: 50%;
    background: var(--gradient1);
    
}

.videoFilter>span{
    padding: 5px 10px; 
}





/* mobile view */
@media only screen and (max-width:420px) {
    .container{
        width: 100%;
        height: 100vh;
        position: relative;
        background: url('https://c.tenor.com/gJLmlIn6EvEAAAAM/loading-gif.gif');
        background-repeat: no-repeat;
        background-position: center;
    }
    .videoFilter{
        z-index: 2;
        position: fixed;
        top: 0;
        left: 0;
        font-size: 20px;
        font-weight: bold;
        border-bottom-left-radius:10px;
        border-bottom-right-radius:10px;
    }
    .videoFilter>span:nth-child(1){
        padding: 5px 10px;
        color: #ddd;
    }



    
    .videoMainContainer{
        height: 100%;
        width:100%;
        overflow: hidden;
    }
    .videoContainer{
        /* border: 1px solid #333; */
        position: relative;
        height: 100%;
        width: 100%;
        overflow: hidden;
    }
    .videoContainer>video{
        height: 100%;
        width: auto;
    }
    .videoStatus{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }


    .videoStatus>i{
        color: #fff;
        font-size: 45px;
        padding:2px 0 0 6px ;
        background:var(--gradient1);
        border-radius: 50%;
        transform: rotate(30deg);
    }

    .videoControls{
        padding: 35px 0;
        z-index: 3;
        position: fixed;
        bottom: 0;
        left: 0;
        height: 50px;
        width: 100%;
        background-color: rgba(40, 36, 36, 0.088);
        display: flex;
        align-items: center;
        align-content: center;
        justify-content: center;
        
    }
    .vConIcon{
        font-size: 32px;
        color: #fff;
        font-weight: bold;transform: rotate(45deg);
    }
    .vConIcon:hover{ 
        color: red;
    }
    .sideVideoControls>a{    
        padding:20px 10px;
            
    }
    .sideVideoControls>a:nth-last-child(){
        padding-bottom: 0;
    }
    .sideVideoControls{
        z-index: 5;
    position: absolute;
    height: 350px;
    bottom: -38px;
    right: 0;
    display: flex;
    flex-direction: column;
    }
}

:root{
    --primaryColor:rgb(221, 0, 255);
    --gradient1: linear-gradient(90deg, #c80101, rgb(73 0 255));
}
.videoUploadForm{
    z-index: 5;
    position: absolute;
    top:0px;
    width: 100%;
    background: var(--gradient1);
    display: none;
    animation: slideToggle;
    color: #fff;
    
}
.dragDropDiv{
    width: 100%;
    height: 200px;
}
input{
    opacity: 0;
    width: 100%;
    height: 100%;    
}
h3{
    position: absolute;
    top: 80px;
    font-size: 20px;
    margin: 5px;
    text-align: center;
    color: #fff;
}
.gradientBtn{   
    display: inline-block;
    padding: 5px 10px;
    margin: 10px 0;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 18px;
    letter-spacing: 2px;
    border-radius: 40px;
    background: var(--gradient1);
   
}
.gradientActive{
    background: var(--gradient1);
    border-radius: 50%;
    color: #fff;
}
.active{
    font-weight: bolder;
    color: #fff;
}
.flex{
    display: flex;
}
.space-evenly{
    justify-content: space-evenly;
}
.dragDropDiv{
    width: calc(100%-20px);
    padding: 5px;
    border: 2px dashed green;
}
.videoPrev{
    display: none;
    padding: 20px 0px;
    display: flex;
    justify-content: center;
    width: 100%;
    height: 700px;
    border:1px solid red;
    position: relative; 
}
.videoPrev video{
    width: 100%;
    height: 100%;
}
.lightBg{
    background: #8d8080;
}
.hide{
    display: none;
}
#closeBtn{
    position: absolute;
    top: 0px;
    right: 0px;
    padding: 5px 10px;
    font-size: 30px;
    background-color: red;
    z-index: 5;
}